<?php
/**
 * Choice controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$choices_style  = $this->addControlSection( 'choices_style', __( 'Choices', 'wpgb-oxygen' ), '', $this );
$choices_colors = $choices_style->addControlSection( 'choices_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$choices_colors->addStyleControls(
	[
		[
			'name'     => __( 'Background Color', 'wpgb-oxygen' ),
			'selector' => 'li > [role="button"]',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Background Hover Color', 'wpgb-oxygen' ),
			'selector' => 'li > [role="button"][aria-pressed]:hover',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Background Selected Color', 'wpgb-oxygen' ),
			'selector' => 'li > [role="button"][aria-pressed="true"]',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Border Hover Color', 'wpgb-oxygen' ),
			'selector' => 'li > [role="button"][aria-pressed]:hover',
			'property' => 'border-color',
		],
		[
			'name'     => __( 'Border Selected Color', 'wpgb-oxygen' ),
			'selector' => 'li > [role="button"][aria-pressed="true"]',
			'property' => 'border-color',
		],
	]
);

$choices_style->borderSection( __( 'Borders', 'wpgb-oxygen' ), 'li > [role="button"]', $this );
$choices_style->boxShadowSection( __( 'Box Shadow', 'wpgb-oxygen' ), 'li > [role="button"]', $this );

$choices_spacing = $choices_style->addControlSection( 'choices_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$choices_spacing->addPreset( 'padding', 'choices_padding', __( 'Padding', 'wpgb-oxygen' ), 'li > [role="button"]' )->whiteList();
$choices_spacing->addPreset( 'margin', 'choices_margin', __( 'Margin', 'wpgb-oxygen' ), 'li > [role="button"]' )->whiteList();

