<?php
/**
 * Color controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$color_swatch_style  = $this->addControlSection( 'color_swatch_style', __( 'Color Swatch', 'wpgb-oxygen' ), '', $this );
$color_swatch_colors = $color_swatch_style->addControlSection( 'color_swatch_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$color_swatch_colors->addStyleControls(
	[
		[
			'name'     => __( 'Border Hover Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-color:hover .wpgb-color-control:after',
			'property' => 'border-color',
		],
		[
			'name'     => __( 'Border Selected Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-color[aria-pressed="true"] .wpgb-color-control:after',
			'property' => 'border-color',
		],
	]
);

$color_swatch_style->borderSection( __( 'Borders', 'wpgb-oxygen' ), '.wpgb-color:hover .wpgb-color-control:after, .wpgb-color .wpgb-color-control', $this );
$color_swatch_style->boxShadowSection( __( 'Box Shadow', 'wpgb-oxygen' ), '.wpgb-color-facet .wpgb-color-control', $this );

$color_swatch_spacing = $color_swatch_style->addControlSection( 'color_swatch_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$color_swatch_spacing->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Swatch Size', 'wpgb-oxygen' ),
		'property'     => 'width',
		'selectors'    => [
			[
				'selector' => '.wpgb-color-facet .wpgb-color-control',
				'property' => 'width',
			],
			[
				'selector' => '.wpgb-color-facet .wpgb-color-control',
				'property' => 'height',
			],
		],
	]
)->setUnits( 'px', 'px' )->setRange( 10, 50, 1 );
