<?php
/**
 * Choice counter controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$choice_counter_style  = $this->addControlSection( 'choice_counter_style', __( 'Choice Counter', 'wpgb-oxygen' ), '', $this );
$choice_counter_colors = $choice_counter_style->addControlSection( 'choice_counter_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$choice_counter_colors->addStyleControls(
	[
		[
			'name'     => __( 'Text Hover Color', 'wpgb-oxygen' ),
			'selector' => '[role="button"][aria-pressed]:hover [class^="wpgb-"][class$="-label"] span',
			'property' => 'color',
		],
		[
			'name'     => __( 'Text Selected Color', 'wpgb-oxygen' ),
			'selector' => '[role="button"][aria-pressed="true"] [class^="wpgb-"][class$="-label"] span',
			'property' => 'color',
		],
	]
);

$choice_counter_spacing = $choice_counter_style->addControlSection( 'choice_counter_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$choice_counter_spacing->addStyleControl(
	[
		'control_type' => 'radio',
		'name'         => __( 'Alignment', 'wpgb-oxygen' ),
		'slug'         => 'choice_counter_alignment',
		'value'        => [
			'left'  => __( 'Left', 'wpgb-oxygen' ),
			'right' => __( 'Right', 'wpgb-oxygen' ),
		],
		'property'     => '',
		'condition'    => 'type=checkbox||type=radio||type=hierarchy||type=rating',
	]
)->setValueCSS(
	[
		'right' => (
			'li [class^="wpgb-"][class$="-label"] {
				display: -ms-flexbox;
				display: flex;
				justify-content: space-between;
			}'
		),
	]
);

$choice_counter_spacing->addPreset( 'padding', 'choice_counter_padding', __( 'Padding', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"] span' )->whiteList();
$choice_counter_style->typographySection( __( 'Typography', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"] span', $this );
