<?php
/**
 * Rating controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$rating_style  = $this->addControlSection( 'rating_style', __( 'Stars', 'wpgb-oxygen' ), '', $this );
$rating_colors = $rating_style->addControlSection( 'rating_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$rating_colors->addStyleControls(
	[
		[
			'name'     => __( 'Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-rating:not(.wpgb-rating-reset) .wpgb-rating-control',
			'property' => 'color',
		],
		[
			'name'     => __( 'Hover Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-rating[aria-pressed]:not([tabindex="-1"]):not(.wpgb-rating-reset):hover .wpgb-rating-svg',
			'property' => 'color',
		],
		[
			'name'     => __( 'Pressed Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-rating[aria-pressed="true"]:not(.wpgb-rating-reset) .wpgb-rating-svg',
			'property' => 'color',
		],
	]
);

$rating_spacing = $rating_style->addControlSection( 'rating_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$rating_spacing->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Stars Size', 'wpgb-oxygen' ),
		'property'     => '--wpgb-rating-size',
		'selector'     => (
			'.wpgb-rating:not(.wpgb-rating-reset) .wpgb-rating-control {
				width: var(--wpgb-rating-size);
			}
			.wpgb-rating:not(.wpgb-rating-reset) .wpgb-rating-control {
				height: calc(var(--wpgb-rating-size) / 5);
			}'
		),
	]
)->setUnits( 'px', 'px' )->setRange( 10, 250, 1 );

$rating_spacing->addPreset( 'margin', 'rating_margin', __( 'Margin', 'wpgb-oxygen' ), '.wpgb-rating:not(.wpgb-rating-reset) .wpgb-rating-control' )->whiteList();
