<?php
/**
 * Selection controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$selection_clear_button_style = $this->addControlSection( 'selection_clear_button_style', __( 'Clear Button', 'wpgb-oxygen' ), '', $this );

$selection_clear_button_style->addOptionControl(
	[
		'type' => 'checkbox',
		'name' => __( 'Hide Button', 'wpgb-oxygen' ),
		'slug' => 'selection_clear_button',
	]
)->setValueCSS(
	[
		'true' => '.wpgb-facet .wpgb-button-control { display: none }',
	]
);

$selection_clear_button_colors = $selection_clear_button_style->addControlSection( 'selection_clear_button_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$selection_clear_button_colors->addStyleControls(
	[
		[
			'name'     => __( 'Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-facet .wpgb-button-control:before, .wpgb-facet .wpgb-button-control:after',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Hover Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-facet .wpgb-button-control:hover:before, .wpgb-facet .wpgb-button-control:hover:after',
			'property' => 'background-color',
		],
	]
);

$selection_clear_button_spacing = $selection_clear_button_style->addControlSection( 'selection_clear_button_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$selection_clear_button_spacing->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Icon Size', 'wpgb-oxygen' ),
		'slug'         => 'selection_clear_button_size',
		'property'     => '--wpgb-selection-clear-scale',
		'selector'     => '.wpgb-facet .wpgb-button-control { transform: scale(calc(var(--wpgb-selection-clear-scale)/15)) }',
	]
)->setRange( 10, 50, 1 );

$selection_clear_button_spacing->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Horizontal Offset', 'wpgb-oxygen' ),
		'slug'         => 'selection_clear_button_horizontal_offset',
		'property'     => 'margin-left',
		'selector'     => '.wpgb-facet .wpgb-button-control',
	]
)->setUnits( 'px', 'px' )->setRange( -50, 50, 1 );
