<?php
/**
 * Repeater
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

namespace WP_Grid_Builder_Oxygen\Includes\Providers;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Repeater element
 *
 * @class WP_Grid_Builder_Oxygen\Includes\Providers\Repeater
 * @since 1.0.0
 */
final class Repeater extends Provider {

	/**
	 * Remove pagination
	 *
	 * @since 1.0.0
	 *
	 * @param string $content Element content to output.
	 * @return string
	 */
	public function remove_pagination( $content ) {

		return preg_replace( '~<div([^>]*)class=["\']oxy-repeater-pages-wrap["\']([^>]*)>(.*?)<div([^>]*)class=["\']oxy-repeater-pages["\']([^>]*)>(.*?)</div>(.*?)</div>~ims', '', $content );

	}
}
